unit hkAbout;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, AniPlay;

type
  TfrmAbout = class(TForm)
    pnlAbout: TPanel;
    lblProductName: TLabel;
    lblVersion: TLabel;
    lblCopyright: TLabel;
    lblComments: TLabel;
    btnOk: TButton;
    AnimIcon: TAnimatedIconPlayer;
    timStart: TTimer;
    procedure btnOkClick(Sender: TObject);
    procedure AnimIconStopped(Sender: TObject);
    procedure timStartTimer(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmAbout: TfrmAbout;

implementation

{$R *.DFM}

procedure TfrmAbout.btnOkClick(Sender: TObject);
begin
  Close;
end;

procedure TfrmAbout.AnimIconStopped(Sender: TObject);
begin
  timStart.Enabled := True;
end;

procedure TfrmAbout.timStartTimer(Sender: TObject);
begin
  timStart.Enabled := False;
  AnimIcon.Play;
end;

procedure TfrmAbout.FormShow(Sender: TObject);
begin
  AnimIcon.Play;
end;

end.

