unit hkError;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TfrmHotkeyError = class(TForm)
    lblHotkeyUsed: TLabel;
    btnCancel: TButton;
    btnOk: TButton;
    lblEntry: TLabel;
    lblDescription: TLabel;
  private
    procedure SetConflictingEntry(Value: String);
    procedure SetDescription(Value: String);
  public
    property ConflictingEntry: String write SetConflictingEntry;
    property Description: String write SetDescription;
    { Public declarations }
  end;

var
  frmHotkeyError: TfrmHotkeyError;

implementation

{$R *.DFM}
procedure TfrmHotkeyError.SetConflictingEntry(Value: String);
begin
  lblEntry.Caption := Value;
end;

procedure TfrmHotkeyError.SetDescription(Value: String);
begin
  lblDescription.Caption := Value;
end;

end.
